org.richfaces.ui.iteration.extendedDataTable

## Class ExtendedDataTableState

- java.lang.Object
- - org.richfaces.ui.iteration.extendedDataTable.ExtendedDataTableState

- All Implemented Interfaces:
    Serializable

      public class ExtendedDataTableState
      extends Object
      implements Serializable

  Author:
    Brian Leathem
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.richfaces.ui.iteration.extendedDataTable.ColumnsFilter` | `columnsFilterState`
    `protected org.richfaces.ui.iteration.extendedDataTable.ColumnsOrder` | `columnsOrderState`
    `protected org.richfaces.ui.iteration.extendedDataTable.ColumnsSort` | `columnsSortState`
    `protected org.richfaces.ui.iteration.extendedDataTable.ColumnsWidth` | `columnsWidthState`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedDataTableState(String tableState)`
    `ExtendedDataTableState(UIDataTableBase extendedDataTable)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getColumnFilter(javax.faces.component.UIComponent column)`
    `String[]` | `getColumnsOrder()`
    `String` | `getColumnSort(javax.faces.component.UIComponent column)`
    `String` | `getColumnWidth(javax.faces.component.UIComponent column)`
    `JSONObject` | `toJSON()`
    `String` | `toString()` Converts its state to String representation in JSON format.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### columnsWidthState

          protected org.richfaces.ui.iteration.extendedDataTable.ColumnsWidth columnsWidthState

    - #### columnsOrderState

          protected org.richfaces.ui.iteration.extendedDataTable.ColumnsOrder columnsOrderState

    - #### columnsFilterState

          protected org.richfaces.ui.iteration.extendedDataTable.ColumnsFilter columnsFilterState

    - #### columnsSortState

          protected org.richfaces.ui.iteration.extendedDataTable.ColumnsSort columnsSortState

  - ### Constructor Detail

    - #### ExtendedDataTableState

          public ExtendedDataTableState(UIDataTableBase extendedDataTable)

    - #### ExtendedDataTableState

          public ExtendedDataTableState(String tableState)

  - ### Method Detail

    - #### toJSON

          public JSONObject toJSON()

    - #### toString

          public String toString()

      Converts its state to String representation in JSON format.
      Overrides:
        `toString` in class `Object`

    - #### getColumnWidth

          public String getColumnWidth(javax.faces.component.UIComponent column)

    - #### getColumnFilter

          public String getColumnFilter(javax.faces.component.UIComponent column)

    - #### getColumnSort

          public String getColumnSort(javax.faces.component.UIComponent column)

    - #### getColumnsOrder

          public String[] getColumnsOrder()

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.